Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.notification
Class WsnConstants

    java.lang.Object
      org.apache.muse.ws.notification.WsnConstants

public class WsnConstants
extends java.lang.Object

WsnConstants is a collection of properties and methods that is useful when programming against the WS-Notification spec. This class uses WS-N v1.3.

Author:
  Dan Jemiolo (danj)

Field Summary
`static QName` | `CONSUMER_QNAME`
`static java.lang.String` | `CONSUMER_URI`
`static QName` | `CREATION_QNAME`
`static QName` | `CURRENT_TIME_QNAME`
`static java.lang.String` | `DIALECT`
`static QName` | `FILTER_QNAME`
`static QName` | `FIXED_SET_QNAME`
`static QName` | `GET_CURRENT_QNAME`
`static QName` | `GET_CURRENT_RESPONSE_QNAME`
`static java.lang.String` | `GET_CURRENT_URI`
`static QName` | `INIT_TERMINATION_TIME_QNAME`
`static QName` | `INVALID_FILTER_QNAME`
`static QName` | `INVALID_MESSAGE_CONTENT_QNAME`
`static QName` | `INVALID_PRODUCER_PROPERTIES_QNAME`
`static QName` | `INVALID_TOPIC_EXPRESSION_QNAME`
`static QName` | `MESSAGE_CONTENT_QNAME`
`static QName` | `MESSAGE_QNAME`
`static QName` | `MULTIPLE_TOPICS_SPECIFIED_QNAME`
`static java.lang.String` | `NAMESPACE_URI`
`static QName` | `NO_CURRENT_MESSAGE_QNAME`
`static QName` | `NOTIFICATION_MSG_QNAME`
`static QName` | `NOTIFY_NOT_SUPPORTED_QNAME`
`static QName` | `NOTIFY_QNAME`
`static QName` | `NOTIFY_RESPONSE_QNAME`
`static java.lang.String` | `NOTIFY_URI`
`static QName` | `PAUSE_FAILED_QNAME`
`static QName` | `PAUSE_QNAME`
`static QName` | `PAUSE_RESPONSE_QNAME`
`static java.lang.String` | `PAUSE_URI`
`static QName` | `POLICY_QNAME`
`static java.lang.String` | `PREFIX`
`static QName` | `PRODUCER_PROPERTIES_QNAME`
`static QName` | `PRODUCER_QNAME`
`static java.lang.String` | `PRODUCER_URI`
`static java.lang.String` | `PULL_POINT_CREATION_URI`
`static java.lang.String` | `PULL_POINT_URI`
`static QName` | `RESUME_FAILED_QNAME`
`static QName` | `RESUME_QNAME`
`static QName` | `RESUME_RESPONSE_QNAME`
`static java.lang.String` | `RESUME_URI`
`static QName` | `SUBSCRIBE_FAILED_QNAME`
`static QName` | `SUBSCRIBE_QNAME`
`static QName` | `SUBSCRIBE_RESPONSE_QNAME`
`static java.lang.String` | `SUBSCRIBE_URI`
`static QName` | `SUBSCRIPTION_EPR_QNAME`
`static java.lang.String` | `SUBSCRIPTION_MGR_URI`
`static QName` | `TERMINATION_TIME_QNAME`
`static QName` | `TOPIC_DIALECT_QNAME`
`static QName` | `TOPIC_DIALECT_UNKNOWN_QNAME`
`static QName` | `TOPIC_EXPRESSION_QNAME`
`static QName` | `TOPIC_NOT_SUPPORTED_QNAME`
`static QName` | `TOPIC_QNAME`
`static QName` | `UNABLE_TO_CREATE_PULL_POINT_QNAME`
`static QName` | `UNABLE_TO_GET_MESSAGES_QNAME`
`static QName` | `UNACCEPTABLE_TERMINATION_TIME_QNAME`
`static QName` | `UNRECOGNIZED_POLICY_QNAME`
`static QName` | `UNSUPPORTED_POLICY_QNAME`
`static java.lang.String` | `WSDL_NAMESPACE_URI`
`static java.lang.String` | `WSDL_PREFIX`

Constructor Summary
`WsnConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE_URI

    public static final java.lang.String NAMESPACE_URI

See Also:
  Constant Field Values

### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

### WSDL_NAMESPACE_URI

    public static final java.lang.String WSDL_NAMESPACE_URI

See Also:
  Constant Field Values

### WSDL_PREFIX

    public static final java.lang.String WSDL_PREFIX

See Also:
  Constant Field Values

### PRODUCER_URI

    public static final java.lang.String PRODUCER_URI

See Also:
  Constant Field Values

### CONSUMER_URI

    public static final java.lang.String CONSUMER_URI

See Also:
  Constant Field Values

### SUBSCRIPTION_MGR_URI

    public static final java.lang.String SUBSCRIPTION_MGR_URI

See Also:
  Constant Field Values

### PULL_POINT_URI

    public static final java.lang.String PULL_POINT_URI

See Also:
  Constant Field Values

### PULL_POINT_CREATION_URI

    public static final java.lang.String PULL_POINT_CREATION_URI

See Also:
  Constant Field Values

### CONSUMER_QNAME

    public static final QName CONSUMER_QNAME

### CREATION_QNAME

    public static final QName CREATION_QNAME

### CURRENT_TIME_QNAME

    public static final QName CURRENT_TIME_QNAME

### DIALECT

    public static final java.lang.String DIALECT

See Also:
  Constant Field Values

### FILTER_QNAME

    public static final QName FILTER_QNAME

### FIXED_SET_QNAME

    public static final QName FIXED_SET_QNAME

### GET_CURRENT_QNAME

    public static final QName GET_CURRENT_QNAME

### GET_CURRENT_RESPONSE_QNAME

    public static final QName GET_CURRENT_RESPONSE_QNAME

### GET_CURRENT_URI

    public static final java.lang.String GET_CURRENT_URI

See Also:
  Constant Field Values

### INIT_TERMINATION_TIME_QNAME

    public static final QName INIT_TERMINATION_TIME_QNAME

### INVALID_FILTER_QNAME

    public static final QName INVALID_FILTER_QNAME

### INVALID_MESSAGE_CONTENT_QNAME

    public static final QName INVALID_MESSAGE_CONTENT_QNAME

### INVALID_PRODUCER_PROPERTIES_QNAME

    public static final QName INVALID_PRODUCER_PROPERTIES_QNAME

### INVALID_TOPIC_EXPRESSION_QNAME

    public static final QName INVALID_TOPIC_EXPRESSION_QNAME

### MESSAGE_CONTENT_QNAME

    public static final QName MESSAGE_CONTENT_QNAME

### MESSAGE_QNAME

    public static final QName MESSAGE_QNAME

### MULTIPLE_TOPICS_SPECIFIED_QNAME

    public static final QName MULTIPLE_TOPICS_SPECIFIED_QNAME

### NO_CURRENT_MESSAGE_QNAME

    public static final QName NO_CURRENT_MESSAGE_QNAME

### NOTIFICATION_MSG_QNAME

    public static final QName NOTIFICATION_MSG_QNAME

### NOTIFY_NOT_SUPPORTED_QNAME

    public static final QName NOTIFY_NOT_SUPPORTED_QNAME

### NOTIFY_QNAME

    public static final QName NOTIFY_QNAME

### NOTIFY_RESPONSE_QNAME

    public static final QName NOTIFY_RESPONSE_QNAME

### NOTIFY_URI

    public static final java.lang.String NOTIFY_URI

See Also:
  Constant Field Values

### PAUSE_FAILED_QNAME

    public static final QName PAUSE_FAILED_QNAME

### PAUSE_QNAME

    public static final QName PAUSE_QNAME

### PAUSE_RESPONSE_QNAME

    public static final QName PAUSE_RESPONSE_QNAME

### PAUSE_URI

    public static final java.lang.String PAUSE_URI

See Also:
  Constant Field Values

### POLICY_QNAME

    public static final QName POLICY_QNAME

### PRODUCER_PROPERTIES_QNAME

    public static final QName PRODUCER_PROPERTIES_QNAME

### PRODUCER_QNAME

    public static final QName PRODUCER_QNAME

### RESUME_FAILED_QNAME

    public static final QName RESUME_FAILED_QNAME

### RESUME_QNAME

    public static final QName RESUME_QNAME

### RESUME_RESPONSE_QNAME

    public static final QName RESUME_RESPONSE_QNAME

### RESUME_URI

    public static final java.lang.String RESUME_URI

See Also:
  Constant Field Values

### SUBSCRIBE_FAILED_QNAME

    public static final QName SUBSCRIBE_FAILED_QNAME

### SUBSCRIBE_QNAME

    public static final QName SUBSCRIBE_QNAME

### SUBSCRIBE_RESPONSE_QNAME

    public static final QName SUBSCRIBE_RESPONSE_QNAME

### SUBSCRIBE_URI

    public static final java.lang.String SUBSCRIBE_URI

See Also:
  Constant Field Values

### SUBSCRIPTION_EPR_QNAME

    public static final QName SUBSCRIPTION_EPR_QNAME

### TERMINATION_TIME_QNAME

    public static final QName TERMINATION_TIME_QNAME

### TOPIC_DIALECT_QNAME

    public static final QName TOPIC_DIALECT_QNAME

### TOPIC_DIALECT_UNKNOWN_QNAME

    public static final QName TOPIC_DIALECT_UNKNOWN_QNAME

### TOPIC_EXPRESSION_QNAME

    public static final QName TOPIC_EXPRESSION_QNAME

### TOPIC_NOT_SUPPORTED_QNAME

    public static final QName TOPIC_NOT_SUPPORTED_QNAME

### TOPIC_QNAME

    public static final QName TOPIC_QNAME

### UNABLE_TO_CREATE_PULL_POINT_QNAME

    public static final QName UNABLE_TO_CREATE_PULL_POINT_QNAME

### UNABLE_TO_GET_MESSAGES_QNAME

    public static final QName UNABLE_TO_GET_MESSAGES_QNAME

### UNACCEPTABLE_TERMINATION_TIME_QNAME

    public static final QName UNACCEPTABLE_TERMINATION_TIME_QNAME

### UNRECOGNIZED_POLICY_QNAME

    public static final QName UNRECOGNIZED_POLICY_QNAME

### UNSUPPORTED_POLICY_QNAME

    public static final QName UNSUPPORTED_POLICY_QNAME

Constructor Detail

### WsnConstants

    public WsnConstants()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD